Bug 843716 - The libvirtd deamon was killed abnormally when i destroy a domain which was in creating process
The libvirtd deamon was killed abnormally when i destroy a domain which was ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
: 866785 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 03:09 EDT by zhenfeng wang
Modified: 2013-02-21 02:20 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Bug in previously added feature
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:20:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
domain xml (1.26 KB, text/plain)
2012-07-27 06:02 EDT, zhenfeng wang
no flags Details

  None (edit)
Description zhenfeng wang 2012-07-27 03:09:24 EDT
Description of problem:
The libvirtd deamon was killed abnormally  when i destroy a domain which was  in creating process

Version-Release number of selected component (if applicable):
# rpm -qa|grep libvirt
libvirt-0.9.13-3.el6.x86_64
#rpm -qa|grep kvm
qemu-kvm-0.12.1.2-2.297.el6.x86_64
# uname -r
2.6.32-287.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1.# ps aux |grep libvirtd
root     30305  0.6  0.1 1029192 13836 ?       Sl   19:49   0:00 libvirtd --daemon
root     30615  0.0  0.0 103240   824 pts/3    S+   19:51   0:00 grep libvirtd
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 1     rhel6                          running

2.[terminal~A]# virsh create --console abc.xml
Domain rhel58 created from abc.xml
Connected to domain rhel58
Escape character is ^]
Memory for crash kernel (0x0 to 0x0) notwithin permissible range
WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong.
PCI: PIIX3: Enabling Passive Release on 0000:00:01.0
Red Hat nash version 5.1.19.6 starting


3.destroy the creating domain at the same time
 [terminal~B]# virsh destroy rhel58
error: Failed to destroy domain rhel58
error: End of file while reading data: Input/output error

# virsh list --all
error: Failed to reconnect to the hypervisor
error: no valid connection
error: Failed to connect socket to '/var/run/libvirt/libvirt-sock': Connection refused

# ps aux |grep libvirtd
root     29580  0.0  0.0 103240   820 pts/3    S+   19:42   0:00 grep libvirtd
  
Actual results:
the libvirtd deamon was killed abnormally

Expected results:
the libvirtd deamon should run normally and this operation should't affect other guest

Additional info:
abc.xml
Comment 2 Peter Krempa 2012-07-27 05:55:32 EDT
Could you please attach abc.xml that you used to create the machine.

Thanks.
Comment 3 zhenfeng wang 2012-07-27 06:02:48 EDT
Created attachment 600736 [details]
domain xml
Comment 4 Peter Krempa 2012-07-27 09:50:01 EDT
Fix posted upstream: http://www.redhat.com/archives/libvir-list/2012-July/msg01578.html
Comment 5 Peter Krempa 2012-07-30 09:45:22 EDT
Fixed upstream:

commit ba226d334acbc49f6751b430e0c4e00f69eef6bf
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Jul 27 14:50:54 2012 +0200

    conf: Remove callback from stream when freeing entries in console hash
    
    When a domain has a active console connection and is destroyed the
    callback is called on private data that no longer exist causing a
    segfault.

Moving to POST as RHEL will pick this up in a rebase.
Comment 7 yanbing du 2012-08-03 03:06:50 EDT
Test with libvirt-0.10.0-0rc0.el6.x86_64.
Just following the reproduce steps in comment 0, after destroy the creating guest, libvirtd not crash and work well. 
# service libvirtd status
libvirtd (pid  31964) is running...

# ps aux |grep libvirtd
root     31964  0.0  0.2 1037280 11072 ?       Sl   14:45   0:00 libvirtd --daemon
root     32203  0.0  0.0 103240   848 pts/0    S+   15:01   0:00 grep libvirtd

So move this bug to verify.
Comment 11 Peter Krempa 2012-10-16 03:28:38 EDT
*** Bug 866785 has been marked as a duplicate of this bug. ***
Comment 12 errata-xmlrpc 2013-02-21 02:20:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.